/* ============================================================================
   PAGE CONTACT
   ============================================================================ */

/* --------------------------------------------------------------------------
   CONTENT WRAPPER
   -------------------------------------------------------------------------- */

/* #contact #content-wrapper {
  width: 100%;
}

#contact #main .page-content {
  padding: 0 !important;
  margin: 0 !important;
} */

/* --------------------------------------------------------------------------
   ELEMENTOR COLUMNS
   -------------------------------------------------------------------------- */

/* #contact .elementor-column-wrap {
  padding: 0 !important;
}

#contact .service .elementor-column-wrap {
  padding: 1.875rem !important;
} */

/* --------------------------------------------------------------------------
   SERVICE LINKS
   -------------------------------------------------------------------------- */

/* #contact .service .elementor-text-editor a {
  display: flex;
  align-items: center;
  gap: 0.625rem;
  text-decoration: underline;
  font-weight: bold;
  color: var(--color-black);
}

@media (min-width: 993px) {
  #contact .service .elementor-text-editor a:hover {
    color: var(--color-primary);
  }
} */

/* --------------------------------------------------------------------------
   CONTACT ROW
   -------------------------------------------------------------------------- */

/* #contact #contactRow > .elementor-container > .elementor-row {
  gap: 6.25rem;
  flex-wrap: nowrap;
}

@media (max-width: 1300px) {
  #contact #contactRow > .elementor-container > .elementor-row {
    gap: 3.75rem;
  }
}

@media (max-width: 768px) {
  #contact #contactRow > .elementor-container > .elementor-row {
    flex-wrap: wrap;
    gap: 1.25rem;
  }
} */

/* ----------------------- GLOBAL - DÉBUT ----------------------- */

#contact #wrapper .container > .row {
    display: flex;
    gap: 117px;
    justify-content: center;
    margin-inline: unset;
}

#contact #wrapper .container > .row #content-wrapper {
    display: none;
}

#contact #wrapper .container div.wpcf7 .ajax-loader {
    display: none;
}

#contact #wrapper {
    padding-bottom: 64px;
}

@media (width < 1024px) {
    #contact #wrapper .container > .row {
        gap: 40px;
    }
}

@media (width < 768px) {
    #contact #wrapper .container > .row {
        flex-direction: column;
    }
}

/* ----------------------- GLOBAL - FIN ----------------------- */


/* ----------------------- COLONNE DE GAUCHE - DÉBUT ----------------------- */

#left-column {
    max-width: 40%;
    width: 100%;
}

#left-column .wpcf7 input.form-control,
#left-column .wpcf7 input.form-control:hover,
#left-column .wpcf7 input.form-control:focus,
#left-column .wpcf7 textarea.form-control,
#left-column .wpcf7 textarea.form-control:hover,
#left-column .wpcf7 textarea.form-control:focus {
    background-color: transparent;
    outline: 0;
    border: 1px solid var(--color-dark-grey)!important;
}

#left-column .wpcf7 input.form-control,
#left-column .wpcf7 textarea.form-control {
  margin-top: -6px;
}

#left-column .wpcf7 label {
    color: var(--color-black);
    font-family: var(--ffMBo);
    /* text-decoration: underline; */
    margin-bottom: unset;
}

#left-column .wpcf7 label:has(span) {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

#left-column .wpcf7 label > span {
    color: var(--color-black);
    display: block;
    font-family: var(--ffMRe);
    text-decoration: underline var(--color-light-grey);
}

#left-column .wpcf7 br {
    display: none;
}

#left-column form > h3 {
    font-size: 2.25rem;
    line-height: 2.5rem;
    margin-bottom: unset;
    display: block;
}

#left-column form > .wpcf7-form-control-wrap {
    margin-block: unset;
}

#left-column .contact__introduction {
    color: var(--color-black);
    font-size: 1rem;
    line-height: 1.5rem;
    display: block;
    margin-bottom: unset;
}

#left-column .wpcf7-submit {
    background-color: var(--color-primary);
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    margin: unset;
    padding-block: 12px;
    font-family: var(--ffMSeBo);
    color: var(--color-white);
    border-radius: unset;
    border: 1px solid var(--color-black);
    transition: all .3s ease;
}

#left-column .wpcf7-submit:hover {
    background-color: var(--color-white);
    color: var(--color-black);
    transition: all .3s ease;
}

#left-column .wpcf7-submit::after {
    content: "";
    display: block;
    background-image: url(../../img/logosIcons/Flechedroite.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    aspect-ratio: 1 / 1;
    width: 24px;
    height: auto;
}

@media (width < 1024px) {
    #left-column form > h3 {
        font-size: 1.875rem;
        line-height: 2rem;
    }

    #left-column .contact__introduction {
        font-size: .875rem;
        line-height: 1.125rem;
    }

    #left-column form > .wpcf7-form-control-wrap {
        margin-top: 8px;
    }

    #left-column form > .wpcf7-form-control-wrap:has(+ br + .wpcf7-submit) {
        margin-bottom: 42px;
    }

    #left-column {
        max-width: 50%;
        padding: unset;
    }
}

@media (width < 768px) {
    #left-column {
        max-width: unset;
    }
}

/* ----------------------- COLONNE DE GAUCHE - FIN ----------------------- */


/* ----------------------- COLONNE DE DROITE - DÉBUT ----------------------- */

#left-column + .contactAside {
  max-width: 35%;
  width: 100%;
}

.contactAside #cAside > .elementor-container > .elementor-row {
    display: flex;
    flex-direction: column;
    gap: 40px!important;
    width: 100%;
}

.contactAside #cAside > .elementor-container > .elementor-row > .elementor-element {
    width: 100%;
    border: 1px solid var(--color-black);
    margin: unset;
    padding: 24px;
  }

#cAside p a,
#cAside p a:hover,
#cAside p a:focus, 
#cAside p a:visited {
    color: var(--color-black);
    /* text-decoration: underline; */
    font-family: var(--ffMBo);
    display: flex;
    align-items: center;
    gap: 12px;
}

.contact__phone h2,
.contact__part h2 {
  font-size: 2rem;
  line-height: 2.25rem;
  height: fit-content!important;
}

#cAside .contact__phone p a::before,
#cAside .contact__address p a::before {
    content: "";
    display: block;
    background-image: url(../../img/logosIcons/Localisation.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    aspect-ratio: 1 / 1;
    width: 32px;
    height: auto;
}

#cAside .contact__phone p a[href^="https://"]:not(a[href^="https://maps"])::before,
#cAside .contact__address p a[href^="https://"]:not(a[href^="https://maps"])::before {
    display: none;
}

#cAside .contact__phone p a[href^="https://maps"]::before,
#cAside .contact__address p a[href^="https://maps"]::before {
    background-image: url(../../img/logosIcons/Localisation.svg);
}

#cAside .contact__address p a::before {
    background-image: url(../../img/logosIcons/Localisation.svg);
}

.contact__phone .elementor-widget-text-editor p:not([class]):not(#e):has(a[href^="https://"]),
.contact__part .elementor-widget-text-editor p:not([class]):not(#e):has(a[href^="https://"]) {
    display: ruby;
}

#cAside p a {
    width: fit-content;
}

#cAside p a[href^="https://"]:not(a[href^="https://maps"]) {
    font-family: var(--ffMRe);
    border-bottom: 1px solid var(--color-black);
    display: inline-block;
}

@media (width < 1024px) {
    /* .contactAside #cAside > .elementor-container > .elementor-row > .elementor-element:has(.elementor-widget-google_maps iframe) {
        aspect-ratio: 330/254;
        height: auto;
        width: 100%;
    } */
    .contactAside #cAside > .elementor-container > .elementor-row > .elementor-element:has(.elementor-widget-google_maps iframe) .elementor-column-wrap>.elementor-widget-wrap>.elementor-widget,
    .contactAside #cAside > .elementor-container > .elementor-row > .elementor-element:has(.elementor-widget-google_maps iframe) .elementor-widget-container, 
    .contactAside #cAside > .elementor-container > .elementor-row > .elementor-element:has(.elementor-widget-google_maps iframe) .elementor-widget-container * {
        height: 100%;
    }

    .contactAside #cAside > .elementor-container > .elementor-row > .elementor-element.contact__part > div > .elementor-widget-wrap,
    .contactAside #cAside > .elementor-container > .elementor-row > .elementor-element:has(.elementor-widget-google_maps iframe) .elementor-widget-container p {
        height: fit-content!important;
    }
}

@media (width < 768px) {
    .contactAside #cAside > .elementor-container > .elementor-row,
    #left-column + .contactAside {
      max-width: unset;
    }

    .contactAside #cAside > .elementor-container > .elementor-row > .elementor-element:has(.elementor-widget-google_maps iframe) .elementor-column-wrap>.elementor-widget-wrap>.elementor-widget[data-widget_type="google_maps.default"] {
        aspect-ratio: 16/9;
    }
}

/* ----------------------- COLONNE DE DROITE - FIN ----------------------- */